"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormPickerDataTypeBuilder = void 0;
const dataTypeBuilder_1 = require("./dataTypeBuilder");
const models_1 = require("../../models");
class FormPickerDataTypeBuilder extends dataTypeBuilder_1.DataTypeBuilder {
    formPickerDataType;
    constructor(formPickerDataType = new models_1.FormPickerDataType()) {
        super(formPickerDataType);
        this.formPickerDataType = formPickerDataType;
    }
    withAllowedForms(formIds) {
        this.formPickerDataType.addPrevalues(formIds);
        return this;
    }
    withAllowedForm(formId) {
        return this.withAllowedForms([formId]);
    }
}
exports.FormPickerDataTypeBuilder = FormPickerDataTypeBuilder;
//# sourceMappingURL=formPickerDataTypeBuilder.js.map