"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SectionBuilder = void 0;
class SectionBuilder {
    parrentBuilder;
    grid;
    allowed;
    constructor(parrentBuilder) {
        this.parrentBuilder = parrentBuilder;
        this.allowed = [];
    }
    withGridSize(gridSize) {
        this.grid = gridSize;
        return this;
    }
    withAllowAll() {
        this.allowed = [];
        return this;
    }
    withAllowed(allowedName) {
        this.allowed.push(allowedName);
        return this;
    }
    done() {
        return this.parrentBuilder;
    }
    build() {
        const grid = {
            grid: this.grid,
            allowAll: true,
        };
        if (this.allowed.length > 0) {
            Object.assign(grid, { allowed: this.allowed });
            grid.allowAll = false;
        }
        return grid;
    }
}
exports.SectionBuilder = SectionBuilder;
//# sourceMappingURL=sectionBuilder.js.map