"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelDataTypeBuilder = void 0;
const dataTypeBuilder_1 = require("./dataTypeBuilder");
const models_1 = require("../../models");
class LabelDataTypeBuilder extends dataTypeBuilder_1.DataTypeBuilder {
    labelDataType;
    constructor(labelDataType = new models_1.LabelDataType()) {
        super(labelDataType);
        this.labelDataType = labelDataType;
        this.withStringValueType();
    }
    withStringValueType() {
        return this.withValueType('STRING');
    }
    withDecimalValueType() {
        return this.withValueType('DECIMAL');
    }
    withDateTimeValueType() {
        return this.withValueType('DATETIME');
    }
    withTimeValueType() {
        return this.withValueType('TIME');
    }
    withIntegerValueType() {
        return this.withValueType('INT');
    }
    withBigIntegerValueType() {
        return this.withValueType('BIGINT');
    }
    withLongStringValueType() {
        return this.withValueType('TEXT');
    }
    withValueType(type) {
        this.labelDataType.addPrevalues(type);
        return this;
    }
}
exports.LabelDataTypeBuilder = LabelDataTypeBuilder;
//# sourceMappingURL=labelDataTypeBuilder.js.map