"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PartialViewBuilder = void 0;
class PartialViewBuilder {
    name;
    content;
    filetype;
    id;
    notifications;
    path;
    snippet;
    virtualPath;
    withContent(content) {
        this.content = content;
        return this;
    }
    withName(name) {
        this.name = name;
        return this;
    }
    withId(id) {
        this.id = id;
        return this;
    }
    build() {
        return {
            name: this.name,
            content: this.content,
            filetype: this.filetype || 'partialViews',
            id: this.id || 0,
            notifications: this.notifications || [],
            path: this.path || null,
            snippet: this.snippet || null,
            virtualPath: this.virtualPath || '/Views/Partials/',
        };
    }
}
exports.PartialViewBuilder = PartialViewBuilder;
//# sourceMappingURL=partialViewBuilder.js.map