"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePermissionBuilder = void 0;
const permissionsBuilder_1 = require("./permissionsBuilder");
class NodePermissionBuilder extends permissionsBuilder_1.PermissionsBuilder {
    nodeId;
    constructor(parentBuilder) {
        super(parentBuilder);
    }
    withNodeId(nodeId) {
        this.nodeId = nodeId;
        return this;
    }
    build() {
        const permissions = super.build();
        // Programatically assigns a property with the nodeId, I.E {123: ["S"...]} where 123 is the ID.
        // It's important that enumerable is true, otherwise the property will not be serialized in the final result.
        let result = {};
        result = Object.defineProperty(result, this.nodeId, {
            value: permissions,
            configurable: true,
            writable: true,
            enumerable: true
        });
        return result;
    }
}
exports.NodePermissionBuilder = NodePermissionBuilder;
//# sourceMappingURL=nodePermissionBuilder.js.map