import { PermissionsBuilder } from './permissionsBuilder';
import { NodePermissionCollectionBuilder } from "./nodePermissionCollectionBuilder";
export declare class UserGroupBuilder {
    alias: string;
    icon: string;
    id: number;
    name: string;
    parentId: number;
    sections: string[];
    startContentId: number;
    startMediaId: number;
    users: number[];
    action: string;
    defaultPermissionsBuilder: PermissionsBuilder;
    assignedPermissionsBuilder: NodePermissionCollectionBuilder;
    constructor();
    withAlias(alias: any): this;
    getAlias(): string;
    addNodePermissions(nodePermissionsBuilder?: NodePermissionCollectionBuilder): NodePermissionCollectionBuilder;
    addDefaultPermissions(userGroupPermissionsBuilder?: PermissionsBuilder): PermissionsBuilder;
    withIcon(icon: string): this;
    withId(id: number): this;
    withName(name: string): this;
    withParentId(parentId: number): this;
    withSections(sections: string[]): this;
    appendSections(sections: string[]): this;
    appendSection(section: string): this;
    withContentStartNode(contentStartNodeId: number): this;
    withMediaStartNode(mediaStartNodeId: number): this;
    withUsers(users: number[]): this;
    appendUsers(users: number[]): this;
    appendUser(user: number): this;
    withAction(action: string): this;
    withSave(): this;
    withSaveNew(): this;
    build(): {
        action: string;
        alias: string;
        assignedPermissions: {};
        defaultPermissions: any;
        icon: string;
        id: number;
        name: string;
        parentId: number;
        sections: string[];
        startContentId: number | null;
        startMediaId: number | null;
        users: number[];
    };
}
