"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropDownProperty = void 0;
const baseProperty_1 = require("./baseProperty");
/**
 * @param  {string} name Property name
 * @param  {string} alias Property alias
 * @param  {boolean} multiSelect Bool if Dropdown values can be multi selected
 * @param  {string[]} values Optional string array of values in the dropdown
 */
class DropDownProperty extends baseProperty_1.BaseProperty {
    values;
    multiSelect;
    constructor(name, alias, multiSelect = false, values) {
        super(name, alias);
        if (values !== undefined) {
            this.values = values;
        }
        this.multiSelect = multiSelect;
    }
}
exports.DropDownProperty = DropDownProperty;
//# sourceMappingURL=dropDownProperty.js.map