"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormPickerProperty = void 0;
const baseProperty_1 = require("./baseProperty");
/**
 * @param  {string} name Property name
 * @param  {string} alias Property alias
 * @param  {string} value Property value of form picker - this stores a UUID of the picked form ID/key
 * @param  {string[]} allowedFormIds Optional string array of UUIDs of form ID/keys that are allowed to be picked
 */
class FormPickerProperty extends baseProperty_1.BaseProperty {
    allowedFormIds;
    value;
    constructor(name, alias, value, allowedFormIds) {
        super(name, alias);
        if (allowedFormIds !== undefined) {
            this.allowedFormIds = allowedFormIds;
        }
        this.value = value;
    }
}
exports.FormPickerProperty = FormPickerProperty;
//# sourceMappingURL=formPickerProperty.js.map